RPM2ARCHIVE(8)

BEZEICHNUNG
rpm2archive - ein Tar-Archiv aus einer RPM-Datei (der RPM-Paketverwaltung) erstellen

ÜBERSICHT
rpm2archive {-n|--nocompression} {-f|--format=pax|cpio} FILES

BESCHREIBUNG
rpm2archive wandelt die als Argumente angegebenen .rpm-Dateien in Tar-Archive auf die Standardausgabe.

Falls »-« als Argument angegeben ist, wird ein RPM-Datenstrom aus der Standardeingabe gelesen.

Falls die Standardausgabe mit einem Terminal verbunden ist, wird die Ausgabe in Tar-Dateien mit einer Endung ».tgz« geschrieben und standardmäßig mit gzip(1) komprimiert.

Im Gegensatz zu rpm2cpio(8) arbeitet rpm2archive auch mit RPM-Paketen, die größer als 4 GB sind und daher von cpio(1) nicht unterstützt werden.

OPTIONEN

-n, --nocompression
    erstellt unkomprimierte Tar-Archive und verwendet ».tar« als Endung des Dateinamens.

-f, --format=pax|cpio
    Erstellt Archive im spezifizierten Format: pax (standardmäßig) oder cpio. Beachten Sie, dass das cpio-Format keine Dateien größer 4 GB enthalten kann und hier nur zwecks Rückwärtskompatibilität unterstützt wird.

BEISPIELE
rpm2archive glint-1.0-1.i386.rpm | tar -xvz
rpm2archive glint-1.0-1.i386.rpm ; tar -xvz glint-1.0-1.i386.rpm.tgz
cat glint-1.0-1.i386.rpm | rpm2archive - | tar -tvz

SIEHE AUCH
rpm2cpio(8), rpm(8)

AUTOR

        Florian Festi <ffesti@redhat.com>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com>, Helge Kreutzmann <debian@helgefjell.de> und Christoph Brinkhaus <c.brinkhaus@t-online.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.